<div class="panel panel-primary">
  <div class="panel-heading">
    ReviewUserDetails:
  </div>
  <div class="panel-body">
    <div class="panel panel-info">
      <div class="panel-heading">
        Reviewer
      </div>
      <div class="panel-body">
        {{ reviewUserDetails?.name }}
      </div>
    </div>
    <div class="panel panel-info">
        <div class="panel-heading">
          Reviewmessage
        </div>
        <div class="panel-body">
          {{ request }}
        </div>
      </div>
      <div class="panel panel-info">
          <div class="panel-heading">
            Reviewstatus
          </div>
          <div class="panel-body">
            {{ reviewState[review?.reviewState] }}
          </div>
      </div>
      <div class="panel panel-default" *ngIf="isCurrentUserOwnerOfPaper && review?.reviewIpfsHash">
        <div class="panel-heading">
            <a target="_blank" [href]="reviewIpfsLink">Go to Review</a>
        </div>
      </div>
  </div>
  <div class="panel-footer">
      <div class="btn-group" *ngIf="isCurrentUserOwnerOfPaper && (review?.reviewState === reviewState.uploaded || review?.reviewState == reviewState.requested)">
          <button class="btn btn-success" (click)="accept()">Accept</button>
          <button class="btn btn-danger" (click)="decline()">Decline</button>
        </div>
  </div>
</div>
<div class="panel panel-primary" *ngIf="isCurrentUserOwnerOfReview && review?.reviewState === reviewState.review">
  <div class="panel-heading">
    Reviewupload
  </div>
  <div class="panel-body">
      <input type="file" name="file" (change)="setPaperFile($event.target.files)"/>
  </div>
  <div>
    <button class="btn btn-default" (click)="sendReview()" [disabled]="!reviewBuffer">Send Review</button>
  </div>
</div>
